Last Comment Bug 660315 - Add three entries to PSL: us.org, com.de, gr.com
: Add three entries to PSL: us.org, com.de, gr.com
Status: VERIFIED FIXED
[qa!]
: verified-aurora, verified-beta
Product: Core
Classification: Components
Component: Networking: Domain Lists (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla11
Assigned To: Gervase Markham [:gerv]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-27 12:27 PDT by Jothan Frakes
Modified: 2011-12-06 15:23 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
Adds us.org, com.de, gr.com (1007 bytes, patch)
2011-05-27 12:27 PDT, Jothan Frakes
christian: approval‑mozilla‑aurora+
christian: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Jothan Frakes 2011-05-27 12:27:30 PDT
Created attachment 535711 [details] [diff] [review]
Adds us.org, com.de, gr.com

The following request came in from the CTO of CentralNIC via email to publicsuffix.org:



Hi there,

Please find attached a u-diff of effective_tld_names.dat which adds some
new extensions recently added to our registry system:

     * gr.com
     * us.org
     * com.de

Regards,

--
Gavin Brown
Chief Technology Officer
CentralNic Ltd
Innovative, Reliable and Flexible Registry Services
for ccTLD, gTLD and private domain name registries
https://www.centralnic.com/

CentralNic Ltd is a company registered in England and Wales with company
number 4985780. Registered Offices: 35-39 Moorgate, London, EC2R 6AR.
Comment 1 Jothan Frakes 2011-05-27 12:29:30 PDT
Confirming with Gavin that this was a request that was official.
Comment 2 Jothan Frakes 2011-05-27 12:30:52 PDT
Confirmed.  Patch valid.
Comment 3 Gervase Markham [:gerv] 2011-11-01 03:48:11 PDT
Is this assigned to me for checkin?

Gerv
Comment 4 Jothan Frakes 2011-11-01 10:52:04 PDT
Yes
-j
Comment 5 Gervase Markham [:gerv] 2011-11-21 06:46:05 PST
Pushed to mozilla-inbound.
https://hg.mozilla.org/integration/mozilla-inbound/rev/78aceec533f2

Gerv
Comment 6 Ed Morley [:emorley] 2011-11-21 19:11:58 PST
https://hg.mozilla.org/mozilla-central/rev/78aceec533f2
Comment 7 Gervase Markham [:gerv] 2011-11-28 09:45:50 PST
Comment on attachment 535711 [details] [diff] [review]
Adds us.org, com.de, gr.com

Requesting aurora and beta approvals. Standard PSL update patch; very low risk.

Gerv
Comment 9 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-12-01 14:24:24 PST
Is there something QA needs to do to verify this fix?
Comment 10 Gervase Markham [:gerv] 2011-12-06 09:04:50 PST
ashughes: visit http://www.debt.us.org/ and verify "debt.us.org" is highlighted in the URL bar, not just "us.org".

Gerv
Comment 11 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-12-06 15:23:21 PST
Verified fixed using 9.0b4, today's Firefox 10.0a2 Aurora nightly, and today's Firefox 11.0a1 Nightly nightly.

Note You need to log in before you can comment on or make changes to this bug.